cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

5476
Views
25
Helpful
9
Replies
Highlighted
Beginner

ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Hi,

can the Cisco ASDM Launcher for accessing the ASA only be used with the Oracle JRE ? Since the latest Oracle JREs are no longer free we're wondering if you can use another JAVA JRE such as Zulu or OpenJDK to use the Cisco ASDM launcher.

Is that possible ? If yes how can this be done best ?

What's your recommended non-Oracle JRE ?

Thanks,

Thorsten

9 REPLIES 9
Highlighted
VIP Mentor

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Not sure what is the version of ASA code you using here. JRE is free from (Oracle) - until you are referring any new version.

 

check the release notes, (Not that i aware or testing with differnt JVM from other vendors)

 

https://www.cisco.com/c/en/us/td/docs/security/asdm/7_8/release/notes/rn78.html#id_25469

BB
*** Rate All Helpful Responses ***
Highlighted
Beginner

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Thanks for your reply. Sooner or later it might become necessary to update the Oracle JRE to a later version because of many security issues. Our Security departmented decided we have to upgrade to Java 8 Update 211 which is not available for free.

So either we're purchasing this Oracle JRE or try to look for a free alternative.

 

Thanks

Highlighted
VIP Mentor

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Do you see Java 8 Update 211 this version is compatability with your ASDM ?

BB
*** Rate All Helpful Responses ***
Highlighted
Beginner

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Hi Balaji,

the only thing I see in the Release Notes is that JAVA SE Plug-in 8.0 is supported. But my question is if it's possible to use another JRE other than Oracle ?

And BTW: yes my colleague was able to get ASDM to run with JAVA 8, Update 211 (no matter it it's supported or not) and we have no choice to use an older JAVA version for Security reasons.

 

Cheers,

Thorsten

Highlighted
VIP Mentor

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

(Not that i aware or testing with differnt JVM from other vendors)

BB
*** Rate All Helpful Responses ***
Highlighted
Beginner

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

Cisco Released an OpenJRE version of ASDM in the most recent release of the ASDM software ( ASDM 7.12.2 ) on May 29th 2019.

 

 You can find that in your Support and downloads section, here is a direct link:

 

https://software.cisco.com/download/home/279513399/type/280775064/release/7.12.2

 

 

 

Highlighted
Beginner

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

I will upgrading from the 7.9.(1) to the ASDM 7.12.2.
Should I upgrade to asdm-7122.bin or asdm-openjre-7122.bin?
Thank you.

 

EDIT 09/12/2019

I have upgraded the image to:

 

Device Manager image file, disk0:/asdm-openjre-7122.bin

As oracle has changed their licencing model and it's no longer free unless for personal use.

Upgrade was successful not issues noted for this image asdm-openjre-7122.bin on ASA5545.

Highlighted
Beginner

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK

We've switched to openjre-7122, works slightly better in my experience
Highlighted

Re: ASDM Launcher non Oracle JAVA JRE such as Zulu or OpenJDK